// Generate By EToy
// Don't Edit It!!

using XGame.Framework.Database;
using XGame.Framework.Serialization;

namespace XGame.Database
{
    /// <summary> Energy </summary>
    public sealed class EnergyTable : ITable
    {
        long ITable.Key => Id;

        /// <summary> 能量等级 </summary>
        public int Id { get; private set; } // sc

        /// <summary> 升级所需的费用每段[]，内容[金币，具体数量]，…… </summary>
        public int[] Expend { get; private set; } // sc

        /// <summary> 获取装备品质的概率-10万分比  [品质，概率]…… </summary>
        public int[] Pro_quality { get; private set; } // sc

        /// <summary> 升级时间 </summary>
        public int Time { get; private set; } // sc

        void ISerializable.Deserialize(IReader reader)
        {
            Id = reader.ReadInt();
            Expend = reader.ReadEnumerable<int[]>();
            Pro_quality = reader.ReadEnumerable<int[]>();
            Time = reader.ReadInt();
        }

        void ISerializable.Serialize(IWriter writer)
        {
            writer.Write(Id);
            writer.Write(Expend);
            writer.Write(Pro_quality);
            writer.Write(Time);
        }
    }
}
